%define release 1
%define prefix  /usr
%define name	gtkdiskfree
%define version 1.6.5

Summary:	GtkDiskFree shows free space on the mounted filesystems.
Summary(ru_RU.CP1251):	GtkDiskFree -        .
Summary(ru_RU.KOI8-R): GtkDiskFree -        .
Name:		%{name}
License:	GPL
Version:    	%{version}
Release:	%{release}
Vendor:		Dj-Death (Landwerlin Lionel) <djdeath@altern.org>
Url:		http://gtkdiskfree.sourceforge.net
Group:		Utilities/System
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/tmp/gtkdiskfree-%{version}-root
Docdir:         %{prefix}/share/doc

%description
GtkDiskFree is a program which shows free space on your mounted filesystems.
It shows the filesystem type too and other information Now Gtkdiskfree can 
mount and unmount different filesystems. GtkDiskFree is written with the GTK+ 
library (www.gtk.org)

%description -l ru_RU.CP1251
 GtkDiskFree      
      .  , GtkDiskFree
       ,    
 . GtkDiskFree   GTK+ (www.gtk.org).

%description -l ru_RU.KOI8-R
 GtkDiskFree      
      .  , GtkDiskFree
       ,    
 . GtkDiskFree   GTK+ (www.gtk.org).

%prep
%setup 

%build
./configure --prefix=%{prefix}
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{prefix}/bin
mkdir -p %{buildroot}%{prefix}/share/pixmaps
cp ./gtkdiskfree.png %{buildroot}%{prefix}/share/pixmaps/gtkdiskfree.png
mkdir -p %{buildroot}%{prefix}/share/gnome/apps/System
cp ./gtkdiskfree.desktop %{buildroot}%{prefix}/share/gnome/apps/System/gtkdiskfree.desktop
make install prefix=%{buildroot}%{prefix}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): \
	needs="X11" \
	section="Applications/" \
	title="GtkDiskFree" \
	longtitle="GtkDiskFree shows free space on the mounted filesystems" \
	command="%{_bindir}/gtkdiskfree" \
	icon=gtkdiskfree.png
EOF



%files
%attr(-, root, root)
%{prefix}/bin/gtkdiskfree
%{prefix}/share/locale/*/LC_MESSAGES/gtkdiskfree.mo
%{prefix}/share/gnome/apps/System/gtkdiskfree.desktop
%{prefix}/share/pixmaps/gtkdiskfree.png
%doc AUTHORS NEWS README COPYING
/%{_menudir}/%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}
