/*Written with Emacs.*/
/*
  GtkDiskFree shows free space on your mounted partitions.
  Copyright (C) 2001-2002  Dj-Death (Landwerlin Lionel)
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <getopt.h>
#include <unistd.h>

void print_help(gchar *myname);
void print_error(gchar *myname);
void print_version(void);
void create_config_directory (void);
void write_config_file_head (FILE *file);
void write_default_config_file (gchar *config_filename);
void switch_read_write_config_file (gint action,
				    gint i,
				    gchar *buffer,
				    FILE *file,
				    preferences_t *pref);
void write_board (FILE *file, gint def, gchar *del,
		  gint *board, gint num);
void read_board (gchar *buffer, gint *board, gchar *del,
		   gint num);
void load_config_file_values (void);
void write_config_file (preferences_t *pref);
void options_init (gint argc, gchar **argv);
void load_defaults_values(void);
