/*Written with Emacs.*/
/*
  GtkDiskFree shows free space on your mounted partitions.
  Copyright (C) 2001-2002  Dj-Death (Landwerlin Lionel)
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <sys/stat.h>
#include <sys/types.h>
#include <sys/wait.h>

#define TUBE_NAME                "/tmp/gtkdiskfree"
#define MAXLINE                  1024

void open_cmd_tube (gchar *cmd, gchar *mount_point);
void mount_fs (GtkWidget *widget,
	       gchar *mount_point,
	       gchar *type);
void umount_fs (GtkWidget *widget,
		gchar *mount_point,
		gchar *type);
void error_window (gchar *text);
